Package org.pushingpixels.flamingo.api.ribbon.resize

# Class BaseRibbonBandResizePolicy<T extends AbstractBandControlPanel>

java.lang.Object
org.pushingpixels.flamingo.api.ribbon.resize.BaseRibbonBandResizePolicy<T>

Type Parameters:
  `T` - Class parameter that specifies the type of band control panel implementation.

All Implemented Interfaces:
  `RibbonBandResizePolicy`

Direct Known Subclasses:
  `CoreRibbonResizePolicies.BaseCoreRibbonBandResizePolicy`, `CoreRibbonResizePolicies.FlowThreeRows`, `CoreRibbonResizePolicies.FlowTwoRows`, `IconRibbonBandResizePolicy`

public abstract class BaseRibbonBandResizePolicy<T extends AbstractBandControlPanel> extends Object implements RibbonBandResizePolicy
Base class for the core ribbon band resize policies.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected T`
`controlPanel`
The control panel of the associated ribbon band.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BaseRibbonBandResizePolicy(T controlPanel)`
Creates a new resize policy.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.pushingpixels.flamingo.api.ribbon.resize.RibbonBandResizePolicy

`getPreferredWidth, install`

## Field Details

### controlPanel

protected T extends AbstractBandControlPanel controlPanel
The control panel of the associated ribbon band.

## Constructor Details

### BaseRibbonBandResizePolicy

protected BaseRibbonBandResizePolicy(T controlPanel)
Creates a new resize policy.

Parameters:
  `controlPanel` - The control panel of the associated ribbon band.